Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.model.workflow
Interface FormRef

public interface FormRef

This interface allows setting and retrieving information about forms. Forms are associated with activities and allow users to enter data that are relevant to their performance of work associated with a process instance.

There are no limits to the number of forms associated with an activity node in a process instance. Nor are there limits to how many activity nodes can have a particular form.

The standard way of constructing a new `FormRef` object is to call the method `Node.addForm`. The parameters of this method define the minimum attributes of the object that is constructed and returned by the method and added to the process definition. This procedure enables the server to keep all of the components in a process definition synchronized.

`String` parameters of all methods in this class have a length limit. This limit is documented in the Javadoc comment for every parameter. If the length of a value supplied for such a parameter exceeds this limit or the value is `null`, an exception is thrown. This exception is a subclass of `ModelException`. For future compatibility, only `ModelException` should be caught explicitly.

If the signature of a method does not allow the throwing of exceptions, any value supplied to this method that exceeds the length limit is truncated to the maximum length supported. `null` values are ignored in this case. Any method’s behaviour that differs from the behaviour described above is explained in this method’s Javadoc description.

See Also:
  `Node`

Field Summary
`static int` | `MAX_FORM_NAME_LENGTH` Specifies the maximum length of form name; currently 30 characters.
`static int` | `MAX_FORM_PATH_LENGTH` Specifies the maximum length of form path; currently 2048 characters.

Method Summary
`java.lang.String` | `getName()` Returns this form's name.
`java.lang.String` | `getPath()` Returns the path where the form is located and the file name of the form as a single string.
`void` | `setName(java.lang.String name)` Deprecated. The name of a form is the identifier and can not be changed.
`void` | `setPath(java.lang.String path)` Sets the path of where the form is located.

Field Detail

### MAX_FORM_NAME_LENGTH

    public static final int MAX_FORM_NAME_LENGTH

  Specifies the maximum length of form name; currently 30 characters.

  See Also:
    Constant Field Values

### MAX_FORM_PATH_LENGTH

    public static final int MAX_FORM_PATH_LENGTH

  Specifies the maximum length of form path; currently 2048 characters.

  See Also:
    Constant Field Values

Method Detail

### getName

    public java.lang.String getName()

  Returns this form's name. The form name is used as a descriptive name for the form that the user sees in the Form field of a work item.

  The name of form is specified with the creation of the `FormRef` object.

  Returns:
    The name of the form.

### setName

    public void setName(java.lang.String name)

  Deprecated. The name of a form is the identifier and can not be changed.

  Sets the name of this form. The form name is used as a descriptive name for the form so that the user sees it in the form field of a work item.

  The name is limited to 30 characters. If the length exceeds 30 characters, the value is truncated to 30 characters. If the supplied value is null, the name will not be changed. The name can only be set when the process definition (or process instance) being changed is in structural edit-mode. Edit mode can be entered by calling `Plan.startEdit`. When not in edit-mode, calling this method will have no effect.

  Parameters:
    `name` - The new name of this form.
  See Also:
    `Plan.startEdit()`

### getPath

    public java.lang.String getPath()

  Returns the path where the form is located and the file name of the form as a single string. All forms are located in the `DocRepository` directory under the Web servers root document directory. This path refers to the path on the Web server.

  The path of form is specified with the creation of the `FormRef` object and can be changed by calling method `setPath`.

  Returns:
    The fully qualified path and file name of the form.
  See Also:
    `setPath(String)`

### setPath

    public void setPath(java.lang.String path)

  Sets the path of where the form is located. All forms are located in the `DocRepository` directory under the Web servers root document directory. This path refers to the path on the Web server.

  The path is limited to the number of characters specified by the constant `MAX_FORM_PATH_LENGTH`. If the length exceeds that number of characters, the value is truncated to the maximum length. If the supplied value is `null`, the path will not be changed.

  The path can only be set when the process definition (or process instance) being changed is in structural edit-mode. Edit-mode of the process definition can be entered by calling `Plan.startEdit`. Structural edit-mode of process instance is entered by calling method `ProcessInstance.startStructuralEdit`. When not in edit-mode, calling this method will have no effect.

  Parameters:
    `path` - The fully qualified path and file name for the form.
  See Also:
    `Plan.startEdit()`, `ProcessInstance.startStructuralEdit()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD